"""
2019. május: Céges autók
@author Klemand66
"""


print("\n1. feladat\n")

betxt = open("autok.txt")

autok=[]
for sor in betxt:
    darsor=sor.strip().split()
    adatsor=[int(darsor[0]),darsor[1],darsor[2],int(darsor[3]),int(darsor[4]),int(darsor[5])]
    #        0: nap        1: óó:pp   2: rsz    3: azonosító   4: km          5: ki/be=0/1
    autok.append(adatsor)
      
betxt.close()
print("A beolvasás és a szövegfájl lezárása sikeresen befejeződött.")



print("\n2. feladat\n")

kivittek=list(filter(lambda a: a[5]==0 ,autok))
print(f'{kivittek[-1][0]}. nap rendszám: {kivittek[-1][2]}')



print("\n3. feladat\n")

aktnap=int(input(f'Kérem egy nap sorszámát (1 <= nap <== {autok[-1][0]}): '))

aktautok=list(filter(lambda a: a[0]==aktnap ,autok))
print(f'Forgalom a(z) {aktnap}. napon:')

for a in aktautok:
    if a[5]==0:
        ir="ki"
    else:
        ir="be"
    print(f'{a[1]} {a[2]} {a[3]} {ir} ')
    


print("\n4. feladat\n")

kintvannak=[] # tudjuk, hogy 10 autó van és kezdetben mind bent van
for i in range(10):
    kintvannak.append(False)

for a in autok:
    kintvannak[int(a[2][-1])]=a[5]==0

print(f'A hónap végén {kintvannak.count(True)} autót nem hoztak vissza.')
                           


print("\n5. feladat\n")

for i in range(10):
    aktautok=list(filter(lambda a: int(a[2][-1])==i ,autok))
    print(f'CEG30{i} {aktautok[-1][4]-aktautok[0][4]} km')



print("\n6. feladat\n")

maxutak=[]
for i in range(10):
    aktautok=list(filter(lambda a: int(a[2][-1])==i ,autok))
    aktmaxind=max(range(1,len(aktautok)), key=lambda i: aktautok[i][4]-aktautok[i-1][4])
    maxutak.append([aktautok[aktmaxind][4]-aktautok[aktmaxind-1][4],aktautok[aktmaxind][3]])
    
maxut=max(maxutak, key=lambda m: m[0])

print(f'A leghosszabb út: {maxut[0]} km, a személy: {maxut[1]}')



print("\n7. feladat\n")


aktrsz=input("Kérek egy rendszámot: ")

fnev=f'{aktrsz}menetlevel.txt'
kitxt = open(fnev,"w")

aktautok=list(filter(lambda a: a[2]==aktrsz ,autok))

for a in aktautok:
    if a[5]==0:
        kitxt.write(f'{a[3]}\t{a[0]:2}.\t{a[1]}\t{a[4]:5} km\t')
    else:
        kitxt.write(f'{a[0]:2}.\t{a[1]}\t{a[4]:5} km\t\n')

kitxt.close()
print("\nA kiíratás és a szövegfájl lezárása sikeresen befejeződött.")


input("\nA befejezéshez nyomd meg az ENTER billentyűt!")
